// This file is released under the 3-clause BSD license. See COPYING-BSD.

function buildmacros()
    macros_path = get_absolute_file_path("buildmacros.sce");
	
	// Faire apparaitre les comosants par ordre alhabétique
	//----------------------------------------------------

    blocks = [	...
				"CLRseg",...
				"DerFil",...
				"DiracSync",...
				"EdgeTrigger",...
				"GainVar",...
				"GeneBF",...
				"Hysteresis_H",...
				"Interpln_H",...				
				"IntLim",...
				"IntSPE",...
				"Memo",...
				"Pow",...				
				"PSB",...
				"Rampe",...
				"Relais_H",...				
				"RELATIONALOP_H",...
				"Satur",...
				"SinuSync",...				
				"Step2",...
				"TempoTrig",...
				"Time_Delay"   ];

    tbx_build_macros(TOOLBOX_NAME, macros_path);
    tbx_build_blocks(toolbox_dir, blocks);
    tbx_build_pal_loader(TOOLBOX_TITLE, blocks, toolbox_dir, macros_path)

endfunction

buildmacros();
clear buildmacros; // remove buildmacros on stack

