
//-------------------------------------------------------------
// Affichage d'un message d'erreur dans la bibliothèque SEGPAL
// Retourne 1 si bouton "Continue
//          2 si bouton STOP
//-------------------------------------------------------------

function bdiag=SegPalError(mode, Titre, exprs)

	bdiag=%t

	exprs0=""
	
	if getlanguage()=="fr_FR" then
			if(mode==1) then exprs0="...Variable(s) non définie(s) ou Valeur(s) erronée(s)"; end
			if(mode==2) then exprs0="...Variable(s) non définie(s) ou Valeur(s) erronée(s)"; end
	
	else
			if(mode==1) then exprs0="...Undefined variable(s) or Wrong value(s)"; end
			if(mode==2) then exprs0="...Undefined variable(s) or Wrong value(s)"; end	
	end

	bdiag=messagebox([exprs0; " "; exprs ;" " ; " "], "SegPalError" + " - " + Titre, "error", ["Continue" ; "STOP"], "modal")

	if ~editSegPalBlock then
			//---------------------------------------------------------------------------	
			// Teste mode de simulation xcos
			// "editSegPalBlock" est créé dans le bloc appelant si la le bloc est accéd
			// En mode édition (double clic sur le composant) editSegPalBlock=%t
			// En mode run simulation editSegPalBlock=%f
			// Exemple : function [sciblk, s1, s2]=GeneBF(job, sciblk, e1)
			//---------------------------------------------------------------------------
			bdiag=2;  // ==> Forçage erreur et abandon en mode simulation
	end		
	
	if bdiag==2 then
						meserr=msprintf("\tSegPalError\n\t%s\n\t%s\n\t%s\n",Titre, exprs, exprs0);
						error(10000, meserr);
	end
		
endfunction

