//------------------------------------------------------------------------------------------------------------------------
// Fonction			:	res=GM_TOR6(GM)
// Auteur			:	PERRICHON Pierre
// Date				:	10/09/2021
// Version			:	1.0
// Sujet			: 	Positionne les bascules TOR d'entrées en rajoutant des offsets de courbes
// Paramétrage		:	Entrée : GM vecteurs nx1 de n détecteurs ou seuils de marche/Arrêt par exemple
// Autres données	:
// Sorties			:	Sortie scope (surtout pour les PELTON)
// Langage utilisé	:	Scilab
// Remarques		:	
//						
// Modifications	:
//-------------------
// Auteur			:
// Date				:
// Version			:
// Description		:
//
//------------------------------------------------------------------------------------------------------------------------
function res=Set_TOR(TOR)

	res=[];
	
	[len,x]=size(TOR)
	
	for i=1:len
			TORi=i
			if TOR(i)>=1. then TORi=TORi+0.3; end; 
			res=[res;TORi]
	end
	
endfunction
